### Community Builders

#### [`build-box.nix-community.org`](./community-builders.md) - `build01`

- Provider: Hetzner
- CPU: AMD Ryzen 9 3900 12-Core Processor
- RAM: 128GB DDR4 ECC
- Drives: 2 x 1.92TB NVME

```json
--8<-- "docs/build01.json"
```

#### [`aarch64-build-box.nix-community.org`](./community-builders.md) - `build05`

- Provider: Hetzner
- Instance type: [RX170](https://www.hetzner.com/dedicated-rootserver/rx170)
- CPU: Ampere Altra Q80-30 80-Core Processor
- RAM: 128GB DDR4 ECC
- Drives: 2 x 960GB NVME

```json
--8<-- "docs/build05.json"
```

#### [`darwin-build-box.nix-community.org`](./community-builders.md) - `darwin01`

- Provider: OakHost
- Instance type: [Apple Mac mini M4.M](https://www.oakhost.net/product/mac-mini-hosting-m4-32gb)
- CPU: Apple M4
- RAM: 32GB
- Drives: 1TB SSD

```json
--8<-- "docs/darwin01.json"
```

### Continuous Integration

#### [`CI builder`](./continuous-integration.md) - `build03`

- Provider: Hetzner
- Instance type: [AX162-R](https://www.hetzner.com/dedicated-rootserver/ax162-r)
- CPU: AMD EPYC 9454P 48-Core Processor
- RAM: 256GB DDR5 ECC
- Drives: 2 x 1.92TB NVME

```json
--8<-- "docs/build03.json"
```

#### [`CI builder`](./continuous-integration.md) - `build04`

- Provider: Hetzner
- Instance type: [RX170](https://www.hetzner.com/dedicated-rootserver/rx170)
- CPU: Ampere Altra Q80-30 80-Core Processor
- RAM: 128GB DDR4 ECC
- Drives: 2 x 960GB NVME

```json
--8<-- "docs/build04.json"
```

#### [`CI builder`](./continuous-integration.md) - `darwin02`

- Provider: OakHost
- Instance type: [Apple Mac mini M4.M](https://www.oakhost.net/product/mac-mini-hosting-m4-32gb)
- CPU: Apple M4
- RAM: 32GB
- Drives: 1TB SSD

```json
--8<-- "docs/darwin02.json"
```

### Other

#### [`R. RyanTM nixpkgs-update bot`](./update-bot.md) - `build02`

- Provider: Hetzner
- CPU: AMD Ryzen 9 3900 12-Core Processor
- RAM: 128GB DDR4 ECC
- Drives: 2 x 1.92TB NVME

```json
--8<-- "docs/build02.json"
```

#### [`Monitoring`](./monitoring.md) - `web02`

- Provider: Gandi
- Instance type: [V-R4](https://www.gandi.net/en-GB/cloud/vps)
- CPU: 2 vCPU
- RAM: 4GB
- Drives: 25GB
